package com.example.pharmacy.frontEnd;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.Environment;
import android.util.Log;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;

/**
 * Created by pharmacy on 12/02/2018.
 */

public class SaveFile {

    public static void recordNotification(int sent, int clicked, int acknowledged, Context context) {
        int ns;
        int nc;
        int na;
        if (isExternalStorageMounted()) {
            File dir = getDirectory(context);
            if (dir.isDirectory()) {
                File file = new File(dir.getAbsolutePath() + "NLOG");
                if (file.isFile() & file.canRead()) {
                    try {
                        BufferedReader br = new BufferedReader(new FileReader(file));
                        ns = Integer.parseInt(br.readLine());
                        nc = Integer.parseInt(br.readLine());
                        na = Integer.parseInt(br.readLine());
                        if (file.isFile() & file.canWrite()) {
                            BufferedWriter bw = new BufferedWriter(new FileWriter(file));
                            ns += sent;
                            nc += clicked;
                            na += acknowledged;
                            bw.write(ns);
                            bw.newLine();
                            bw.write(nc);
                            bw.newLine();
                            bw.write(na);
                        }
                    } catch (IOException e) {

                    }

                }
            }
        }
    }

    public static void recordNotificationType(Context context) {
        SharedPreferences shared = context.getSharedPreferences(context.getString(R.string.preference_file_key), Context.MODE_PRIVATE);
        int sound = 0;
        int led = 0;
        int vibration = 0;

        if (isExternalStorageMounted()) {
            File dir = getDirectory(context);
            if (dir.isDirectory()) {
                File file = new File(dir.getAbsolutePath() + "NTYPELOG");
                if (file.isFile() & file.canRead()) {
                    try {
                        BufferedReader br = new BufferedReader(new FileReader(file));
                        sound = Integer.parseInt(br.readLine());
                        led = Integer.parseInt(br.readLine());
                        vibration = Integer.parseInt(br.readLine());
                        if (file.isFile() & file.canWrite()) {
                            BufferedWriter bw = new BufferedWriter(new FileWriter(file));
                            if(shared.getBoolean(context.getString(R.string.audio), false)) {
                                sound++;
                            }
                            if(shared.getBoolean(context.getString(R.string.led), false)){
                                led++;
                            }
                            if(shared.getBoolean(context.getString(R.string.vibration), false)) {
                                vibration++;
                            }
                            bw.write(sound);
                            bw.newLine();
                            bw.write(led);
                            bw.newLine();
                            bw.write(vibration);
                        }
                    } catch (IOException e) {

                    }
                }
            }
        }
    }
    /* Checks if external storage is available */
    private static boolean isExternalStorageMounted() {
        return (Environment.MEDIA_MOUNTED.equals(Environment.getExternalStorageState()));

    }



    private static File getDirectory(Context context){
        File file = new File(context.getExternalFilesDir(
                Environment.DIRECTORY_DOCUMENTS), "NOTLOGS");
        if (!file.mkdirs()) {
            Log.e("ERR", "Directory not created");
        }
        return file;
    }

}